## xapi 1.9.52

=== Makefile ===
ifdef B_BASE
include $(B_BASE)/common.mk
include $(B_BASE)/rpmbuild.mk
REPO=$(call git_loc,xen-api)
else
MY_OUTPUT_DIR ?= $(CURDIR)/output
MY_OBJ_DIR ?= $(CURDIR)/obj
REPO ?= $(CURDIR)

RPM_SPECSDIR?=$(shell rpm --eval='%_specdir')
RPM_SRPMSDIR?=$(shell rpm --eval='%_srcrpmdir')
RPM_SOURCESDIR?=$(shell rpm --eval='%_sourcedir')
RPMBUILD?=rpmbuild
XEN_RELEASE?=unknown
endif

BASE_PATH=$(shell scripts/base-path scripts/xapi.conf)

JQUERY=$(CARBON_DISTFILES)/javascript/jquery/jquery-1.1.3.1.pack.js
JQUERY_TREEVIEW=$(CARBON_DISTFILES)/javascript/jquery/treeview/jquery.treeview.zip

COMPILE_NATIVE ?= yes
COMPILE_BYTE ?= no
export COMPILE_NATIVE COMPILE_BYTE

include config.mk

OCAMLPATH=
EXTRA_INSTALL_PATH=

export ETCDIR OPTDIR PLUGINDIR HOOKSDIR INVENTORY VARPATCHDIR LIBEXECDIR XAPICONF SCRIPTSDIR SHAREDIR WEBDIR XHADIR BINDIR SBINDIR UDEVDIR OCAMLPATH EXTRA_INSTALL_PATH

.PHONY: all
all: version
	omake -j 8 phase1
	omake -j 8 phase2
	omake -j 8 phase3
ifeq ($(DISABLE_TESTS),false)
	@make test
endif

.PHONY: phase1 phase2 phase3
phase1:
	omake phase1
phase2:
	omake phase2
phase3:
	omake phase3

.PHONY: test
test:
	omake test
	@echo @
	@echo @ Running unit tests
	@echo @
#	Pipe ugly bash output to /dev/null
	@echo @ xapi unit test suite
	@./ocaml/test/suite -verbose true
	@echo
	@echo @ HA binpack test
	@./ocaml/xapi/binpack
#	The following test no longer runs:
#	./ocaml/database/database_test
#	The following test no longer compiles:
#	./ocaml/xenops/device_number_test
#	The following test must be run in dom0:
#	./ocaml/xenops/cancel_utils_test

.PHONY: install
install:
	omake install
	omake lib-uninstall
	omake lib-install

.PHONY: lib-install
lib-install:
	omake DESTDIR=$(DESTDIR) lib-install

.PHONY: lib-uninstall
lib-uninstall:
	omake DESTDIR=$(DESTDIR) lib-uninstall

.PHONY: sdk-install
sdk-install: doc
	omake sdk-install

.PHONY: noarch-install
noarch-install: doc
	omake noarch-install

.PHONY: clean
clean:
	omake clean
	omake lib-uninstall
	rm -rf dist/staging
	rm -f .omakedb .omakedb.lock xapi.spec version.ml
	find -name '*.omc' -delete

.PHONY: otags
otags:
	otags -vi -r . -o tags

.PHONY: doc
doc: api-doc api-libs-doc

.PHONY: api-doc
api-doc: version
	omake phase1 phase2 # autogenerated files might be required
	omake doc

.PHONY: api-libs-doc
api-libs-doc:
	@(cd ../xen-api-libs 2> /dev/null && $(MAKE) doc) || \
	 (echo ">>> If you have a myclone of xen-api-libs, its documentation will be included. <<<")

PLATFORM_VERSION ?= 0.0.0

.PHONY: version
version:
	@printf "(* This file is autogenerated.  Grep for e17512ce-ba7c-11df-887b-0026b9799147 (random uuid) to see where it comes from. ;o) *) \n \
	let git_id = \"$(shell git show-ref --head | grep -E ' HEAD$$' | cut -f 1 -d ' ')\" \n \
	let hostname = \"$(shell hostname)\" \n \
	let date = \"$(shell date -u +%Y-%m-%d)\" \n \
	let product_version = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION\" \n \
	let product_version_text = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT\" \n \
	let product_version_text_short = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT_SHORT\" \n \
	let platform_name = \"$(PLATFORM_NAME)\" \n \
	let platform_version = \"$(PLATFORM_VERSION)\" \n \
	let product_brand = Inventory.lookup ~default:\"\" \"PRODUCT_BRAND\" \n \
	let build_number = Inventory.lookup ~default:\"$(BUILD_NUMBER)\" \"BUILD_NUMBER\" \n \
	let xapi_version_major = $(shell cut -d. -f1 VERSION) \n \
	let xapi_version_minor = $(shell cut -d. -f2 VERSION) \n" \
	> ocaml/util/version.ml

.PHONY: clean
 clean:

xapi.spec: xapi.spec.in
	sed -e 's/@RPM_RELEASE@/$(shell git rev-list HEAD | wc -l)/g' < $< > $@
	sed -i "s!@OPTDIR@!${OPTDIR}!g" $@

.PHONY: srpm
srpm: xapi.spec
	mkdir -p $(RPM_SOURCESDIR) $(RPM_SPECSDIR) $(RPM_SRPMSDIR)
	while ! [ -d .git ]; do cd ..; done; \
	git archive --prefix=xapi-0.2/ --format=tar HEAD | bzip2 -z > $(RPM_SOURCESDIR)/xapi-0.2.tar.bz2 # xen-api/Makefile
	cp $(JQUERY) $(JQUERY_TREEVIEW) $(RPM_SOURCESDIR)
	make -C $(REPO) version
	rm -f $(RPM_SOURCESDIR)/xapi-version.patch
	(cd $(REPO); diff -u /dev/null ocaml/util/version.ml > $(RPM_SOURCESDIR)/xapi-version.patch) || true
	cp -f xapi.spec $(RPM_SPECSDIR)/
	chown root.root $(RPM_SPECSDIR)/xapi.spec || true
	$(RPMBUILD) -bs --nodeps $(RPM_SPECSDIR)/xapi.spec


.PHONY: build
build: all

=== debian/changelog ===
xapi (1.9.52-4) UNRELEASED; urgency=low

  * Remove ocaml-libvhd dependency

 -- David Scott <dave.scott@citrix.com>  Thu, 02 Oct 2014 12:00:00 +0000

xapi (1.9.52-3) UNRELEASED; urgency=low

  * Remove xen-missing-headers dependency

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

xapi (1.9.52-2) UNRELEASED; urgency=low

  * switch to xenlight xenopsd by default

 -- David Scott <dave.scott@citrix.com>  Thu, 21 Aug 2014 12:00:00 +0000

xapi (1.9.52-1) UNRELEASED; urgency=low

  * update 1.9.52

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Tue, 29 Jul 2014 12:00:00 +0000

xapi (1.9.50-1) UNRELEASED; urgency=low

  * update 1.9.50

 -- David Scott <dave.scott@citrix.com>  Fri, 06 Jun 2014 12:00:00 +0000

xapi (1.9.49-1) UNRELEASED; urgency=low

  * update to 1.9.49

 -- David Scott <dave.scott@citrix.com>  Fri, 23 May 2014 12:00:00 +0000

xapi (1.9.47-1) UNRELEASED; urgency=low

  * update to 1.9.47

 -- David Scott <dave.scott@citrix.com>  Tue, 13 May 2014 12:00:00 +0000

xapi (1.9.46-1) UNRELEASED; urgency=low

  * update to 1.9.46

 -- David Scott <dave.scott@citrix.com>  Sun, 11 May 2014 12:00:00 +0000

xapi (1.9.45-1) UNRELEASED; urgency=low

  * update to 1.9.45

 -- David Scott <dave.scott@citrix.com>  Sat, 10 May 2014 12:00:00 +0000

xapi (1.9.44-1) UNRELEASED; urgency=low

  * update to 1.9.44

 -- David Scott <dave.scott@citrix.com>  Fri, 09 May 2014 12:00:00 +0000

xapi (1.9.41-1) UNRELEASED; urgency=low

  * first release from master

 -- David Scott <dave.scott@citrix.com>  Mon, 28 Apr 2014 12:00:00 +0000

xapi (1.9.40-1) UNRELEASED; urgency=low

  * update to new xcp-idl interface with SR.probe

 -- David Scott <dave.scott@citrix.com>  Sat, 26 Apr 2014 12:00:00 +0000

xapi (1.9.39-1) UNRELEASED; urgency=low

  * update to 1.9.39 - switch from stdext's Tar to ocaml-tar

 -- Euan Harris <euan.harris@citrix.com>  Wed, 02 Apr 2014 12:00:00 +0000

xapi (1.9.38-1) UNRELEASED; urgency=low

  * update to 1.9.38 - import_raw_vdi path fix

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 30 Oct 2013 12:00:00 +0000

xapi (1.9.37-1) UNRELEASED; urgency=low

  * update to 1.9.37 - bugfixes for storage motion on Ubuntu

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 29 Oct 2013 12:00:00 +0000

xapi (1.9.36-1) UNRELEASED; urgency=low

  * update to 1.9.36 - bugfixes for storage motion

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 25 Oct 2013 12:00:00 +0000

xapi (1.9.34-1) UNRELEASED; urgency=low

  * Update to 1.9.34 - bugfix for VDI.uuid filename feature

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 22 Oct 2013 12:00:00 +0000

xapi (1.9.32-1) UNRELEASED; urgency=low

  * Update to 1.9.32 - include VDI.uuid filename improvements

 -- David Scott <dave.scott@eu.citrix.com>  Mon, 21 Oct 2013 12:00:00 +0000

xapi (1.9.30-1) UNRELEASED; urgency=low

  * Update to 1.9.30 - assume dom0 can be ballooned in all memory calculations.

 -- Euan Harris <euan.harris@citrix.com>  Fri, 11 Oct 2013 12:00:00 +0000

xapi (1.9.29-1) UNRELEASED; urgency=low

  * Update to 1.9.29

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 27 Sep 2013 12:00:00 +0000

xapi (1.9.27-2) UNRELEASED; urgency=low

  * Remove dependency on ocaml-bitstring

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 24 Sep 2013 12:00:00 +0000

xapi (1.9.27-1) UNRELEASED; urgency=low

  * Update to 1.9.27

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 24 Sep 2013 12:00:00 +0000

xapi (1.9.25-2) UNRELEASED; urgency=low

  * Use 'python_sitelib' macro to choose Python install path, instead of hard-coding it.

 -- Euan Harris <euan.harris@citrix.com>  Thu, 19 Sep 2013 12:00:00 +0000

xapi (1.9.25-1) UNRELEASED; urgency=low

  * Can now use either 'ffs' or 'iso' for the tools SR

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 11 Sep 2013 12:00:00 +0000

xapi (1.9.22-1) UNRELEASED; urgency=low

  * Query domain 0 memory policy from squeezed

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 04 Sep 2013 12:00:00 +0000

xapi (1.9.21-1) UNRELEASED; urgency=low

  * Update to 1.9.21, switch default xenopsd to the "classic" version

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 04 Sep 2013 12:00:00 +0000

xapi (1.9.20-1) UNRELEASED; urgency=low

  * Fix XenAPI.py on python2.7

 -- David Scott <dave.scott@eu.citrix.com>  Mon, 02 Sep 2013 12:00:00 +0000

xapi (1.9.19-1) UNRELEASED; urgency=low

  * Add sparse_dd to the xapi package so VDI.copy should work

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 20 Aug 2013 12:00:00 +0000

xapi (1.9.6-1) UNRELEASED; urgency=low

  * Update to 1.9.6

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 18 Jun 2013 12:00:00 +0000

xapi (1.9.2-1) UNRELEASED; urgency=low

  * Add python-devel for writing python clients

 -- David Scott <dave.scott@eu.citrix.com>  Sat, 08 Jun 2013 12:00:00 +0000

xapi (1.9.1-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 05 Jun 2013 12:00:00 +0000

=== debian/control ===
Source: xapi
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libpam0g-dev,
 ocaml-xen-lowlevel-libs-dev,
 libxcp-rrd-ocaml-dev,
 libcmdliner-ocaml-dev,
 liboclock-ocaml-dev,
 blktap-utils,
 libxenstore-ocaml-dev,
 ocaml-native-compilers,
 git,
 zlib1g-dev,
 camlp4-extra,
 libnetdev-ocaml-dev,
 libopasswd-ocaml-dev,
 libcdrom-ocaml-dev,
 ocaml-nox,
 texlive-base,
 blktap-dev,
 ocaml-findlib,
 libffi-dev,
 uuid-dev,
 tar-ocaml-dev,
 ocaml-xen-api-libs-transitional-dev,
 python-dev,
 message-switch-dev,
 libtapctl-ocaml-dev,
 libxcp-idl-ocaml-dev,
 forkexecd-dev,
 dh-ocaml (>= 0.9),
 qemu-system-x86,
 libstdext-ocaml-dev,
 make,
 libxen-api-client-ocaml-dev,
 libxcp-inventory-ocaml-dev,
 utop,
 libnbd-ocaml-dev,
 camlp4,
 python,
 debhelper (>= 8),
 libxenstore-clients-ocaml-dev,
 librpc-ocaml-dev,
 libounit-ocaml-dev,
 libssl-ocaml-dev,
 omake,
 libfd-send-recv-ocaml-dev,
 libxen-dev

Package: xapi
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 hwdata,
 libxcp-inventory-ocaml,
 lsb-base,
 stunnel,
 vhd-tool,
 libffi6
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xen toolstack for XCP
 This package contains the xapi toolstack.

Package: xapi-xe
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 bash-completion
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: The xapi toolstack CLI
 The command-line interface for controlling XCP hosts.

Package: xapi-python-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 python
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: XenAPI client support in python
 Libraries for writing XenAPI clients in python.

## xapi 1.9.58

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 EXTRA_INSTALL_PATH=
 
 export ETCDIR OPTDIR PLUGINDIR HOOKSDIR INVENTORY VARPATCHDIR LIBEXECDIR XAPICONF SCRIPTSDIR SHAREDIR WEBDIR XHADIR BINDIR SBINDIR UDEVDIR OCAMLPATH EXTRA_INSTALL_PATH
+export DISABLE_WARN_ERROR
 
 .PHONY: all
 all: version
@@ -55,12 +56,11 @@
 	@echo @
 #	Pipe ugly bash output to /dev/null
 	@echo @ xapi unit test suite
-	@./ocaml/test/suite -verbose true
+	@./ocaml/test/suite -verbose true -shards 1
 	@echo
 	@echo @ HA binpack test
 	@./ocaml/xapi/binpack
-#	The following test no longer runs:
-#	./ocaml/database/database_test
+	./ocaml/database/database_test
 #	The following test no longer compiles:
 #	./ocaml/xenops/device_number_test
 #	The following test must be run in dom0:
@@ -121,13 +121,13 @@
 	let git_id = \"$(shell git show-ref --head | grep -E ' HEAD$$' | cut -f 1 -d ' ')\" \n \
 	let hostname = \"$(shell hostname)\" \n \
 	let date = \"$(shell date -u +%Y-%m-%d)\" \n \
-	let product_version = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION\" \n \
-	let product_version_text = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT\" \n \
-	let product_version_text_short = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT_SHORT\" \n \
+	let product_version () = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION\" \n \
+	let product_version_text () = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT\" \n \
+	let product_version_text_short () = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT_SHORT\" \n \
 	let platform_name = \"$(PLATFORM_NAME)\" \n \
 	let platform_version = \"$(PLATFORM_VERSION)\" \n \
-	let product_brand = Inventory.lookup ~default:\"\" \"PRODUCT_BRAND\" \n \
-	let build_number = Inventory.lookup ~default:\"$(BUILD_NUMBER)\" \"BUILD_NUMBER\" \n \
+	let product_brand () = Inventory.lookup ~default:\"\" \"PRODUCT_BRAND\" \n \
+	let build_number () = Inventory.lookup ~default:\"$(BUILD_NUMBER)\" \"BUILD_NUMBER\" \n \
 	let xapi_version_major = $(shell cut -d. -f1 VERSION) \n \
 	let xapi_version_minor = $(shell cut -d. -f2 VERSION) \n" \
 	> ocaml/util/version.ml

=== mk/Makefile ===
# makefile for api component in build system
USE_BRANDING := yes
USE_BUILD_NUMBER := yes
IMPORT_BRANDING := yes
include $(B_BASE)/common.mk
include $(B_BASE)/rpmbuild.mk

REPO                   = $(call git_loc,xen-api)

STAGING                = $(REPO)/dist/staging
OUTPUT_XAPI            = $(MY_MAIN_PACKAGES)/xapi.tar.bz2
OUTPUT_XAPI_DEVEL      = $(MY_OUTPUT_DIR)/xapi-devel.tar.gz
OUTPUT_XAPI_SRC        = $(MY_SOURCES)/xen-api-src.tar.bz2

STAGING_CLI_RT         = $(REPO)/dist/cli-rt
OUTPUT_CLI_RT          = $(MY_OUTPUT_DIR)/cli-regress.tar.gz
OUTPUT_CLI_RPM_SOURCES = $(RPM_SOURCESDIR)/xe $(RPM_SOURCESDIR)/bash-completion

OUTPUT_DOCS            = $(MY_OUTPUT_DIR)/sdkiso
OUTPUT_WEBZIP          = $(MY_OUTPUT_DIR)/sdk-html.zip

JQUERY_PACK_DIST       = $(CARBON_DISTFILES)/javascript/jquery/jquery-1.1.3.1.pack.js
JQUERY_TV_DIST         = $(CARBON_DISTFILES)/javascript/jquery/treeview/jquery.treeview.zip

OUTPUT_DATAMODEL_DIR   = $(MY_OUTPUT_DIR)/datamodel

OUTPUT_SDK_DIR         = $(MY_OUTPUT_DIR)
OUTPUT_SDK             = $(MY_OUTPUT_DIR)/sdk.tar.gz

export BUILD_NUMBER
export PLATFORM_NAME
export PLATFORM_VERSION
export PRODUCT_BRAND
export PRODUCT_VERSION
export PRODUCT_VERSION_TEXT
export PRODUCT_VERSION_TEXT_SHORT

.PHONY: build
build: $(OUTPUT_CLI_RT) $(OUTPUT_SDK) $(MY_SOURCES)/MANIFEST
	$(call mkdir_clean,$(MY_MAIN_CDFILES)/client_install)
	install -m 755 $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-xe-*.rpm $(MY_MAIN_CDFILES)/client_install/xe-cli-$(PRODUCT_VERSION)-$(BUILD_NUMBER).$(DOMAIN0_ARCH_OPTIMIZED).rpm
	# Delete this as soon as xenrt has been updated to fetch the file from
	# the new place:
	$(call mkdir_clean,$(MY_LINUX_CDFILES)/client_install)
	install -m 755 $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-xe-*.rpm $(MY_LINUX_CDFILES)/client_install/xe-cli-$(PRODUCT_VERSION)-$(BUILD_NUMBER).$(DOMAIN0_ARCH_OPTIMIZED).rpm

$(MY_SOURCES)/MANIFEST: $(MY_SOURCES_DIRSTAMP) $(OUTPUT_XAPI_SRC)
	rm -f $@
	/bin/sh ./srpms-to-manifest api $(MY_OUTPUT_DIR)/SRPMS > $@
	echo api gpl file $(JQUERY_PACK_DIST) >> $@
	echo api gpl file $(JQUERY_TV_DIST) >> $@

$(OUTPUT_XAPI_SRC):
	if cd $(REPO); then \
		while ! [ -d .git ]; do cd ..; done; \
		git archive --prefix=$$(echo $@ | sed -r "s/([^/]*\/)*([^./]*)(.[^./]*)*/\2\//") --format=tar HEAD | bzip2 -z > $@; \
	fi; # git archive in xen-api/mk/Makefile

$(OUTPUT_CLI_RT) $(OUTPUT_SDK): $(MY_MAIN_PACKAGES)/.dirstamp $(RPM_DIRECTORIES)
	(cd $(REPO); ./configure)
	$(MAKE) clean
	$(MAKE) -C $(REPO) version
	$(MAKE) -C $(REPO) srpm
	mkdir -p $(RPM_RPMSDIR)/$(DOMAIN_ZERO_OPTIMIZED)
	$(RPMBUILD) --rebuild --target $(DOMAIN0_ARCH_OPTIMIZED) $(MY_OUTPUT_DIR)/SRPMS/xapi-*.src.rpm
	# extract the cli-rt/ binaries from xapi-tests
	mkdir -p $(MY_OUTPUT_DIR)/tmp
	(cd $(MY_OUTPUT_DIR); rpm2cpio $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-tests*.rpm | cpio -i --make-directories; cd cli-rt; tar -zcf $(OUTPUT_CLI_RT) .)
	rm -rf $(MY_OUTPUT_DIR)/tmp

	# extract the xapi-docs
	mkdir -p $(OUTPUT_SDK_DIR)/tmp
	(cd $(OUTPUT_SDK_DIR)/tmp; rpm2cpio $(RPM_RPMSDIR)/*/xapi-docs*.rpm | cpio -i --make-directories; tar -zcf $(OUTPUT_SDK) .;zip -9rv $(OUTPUT_WEBZIP) .)
	rm -rf $(OUTPUT_SDK_DIR)/tmp

	# Unpack the xapi-datamodel-devel RPM for now
	rm -rf $(OUTPUT_DATAMODEL_DIR)
	mkdir -p $(OUTPUT_DATAMODEL_DIR)/tmp
	(cd $(OUTPUT_DATAMODEL_DIR)/tmp; rpm2cpio $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-datamodel-devel*.rpm | cpio -i --make-directories)
	mv $(OUTPUT_DATAMODEL_DIR)/tmp/usr/*/ocaml/xapi-datamodel/* $(OUTPUT_DATAMODEL_DIR)
	rm -rf $(OUTPUT_DATAMODEL_DIR)/tmp

	# Make sure the right RPMs appear on the install CD
	mkdir -p $(MY_MAIN_PACKAGES)
	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-core-*.rpm $(MY_MAIN_PACKAGES)
	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-tests-*.rpm $(MY_MAIN_PACKAGES)
	cp $(RPM_RPMSDIR)/*/xapi-www-*.rpm $(MY_MAIN_PACKAGES)
	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-xe-*.rpm $(MY_MAIN_PACKAGES)
	mkdir -p $(MY_XCP_PACKAGES)
	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-v6d-*.rpm $(MY_XCP_PACKAGES)

.PHONY: clean
clean:
	rm -f $(OUTPUT_XAPI) $(OUTPUT_XAPI_DEVEL) $(OUTPUT_XAPI_SRC) $(OUTPUT_CLI_RT) $(OUTPUT_WEBZIP) $(OUTPUT_SDK)
	rm -rf $(OUTPUT_DATAMODEL_DIR) $(OUTPUT_DOCS) $(OUTPUT_SDK_DIR)/tmp \
	  $(MY_OUTPUT_DIR)/SRPMS $(RPM_RPMSDIR) $(MY_MAIN_PACKAGES) $(MY_XCP_PACKAGES)
	$(MAKE) -C $(REPO) clean

=== debian/changelog ===
xapi (1.9.58-2) UNRELEASED; urgency=low

  * Disable disabling FIPS

 -- David Scott <dave.scott@citrix.com>  Fri, 06 Feb 2015 12:00:00 +0000

xapi (1.9.58-1) UNRELEASED; urgency=low

  * Update to 1.9.58

 -- David Scott <dave.scott@citrix.com>  Wed, 21 Jan 2015 12:00:00 +0000

xapi (1.9.57-3) UNRELEASED; urgency=low

  * Add runtime dependency on busybox

 -- David Scott <dave.scott@citrix.com>  Tue, 23 Dec 2014 12:00:00 +0000

xapi (1.9.57-2) UNRELEASED; urgency=low

  * Update conf file
  * Added patch to fix reading sm-path

 -- Bob Ball <bob.ball@citrix.com>  Thu, 04 Dec 2014 12:00:00 +0000

xapi (1.9.57-1) UNRELEASED; urgency=low

  * Update to 1.9.57

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 24 Oct 2014 12:00:00 +0000

xapi (1.9.52-5) UNRELEASED; urgency=low

  * Add fix for Unix domain socket VNC consoles

 -- David Scott <dave.scott@citrix.com>  Fri, 17 Oct 2014 12:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  libopasswd-ocaml-dev,
  libcdrom-ocaml-dev,
  ocaml-nox,
+ ocaml-backtrace-dev,
  texlive-base,
  blktap-dev,
  ocaml-findlib,
@@ -35,6 +36,7 @@
  qemu-system-x86,
  libstdext-ocaml-dev,
  make,
+ ocaml-rrdd-plugin-dev,
  libxen-api-client-ocaml-dev,
  libxcp-inventory-ocaml-dev,
  utop,
@@ -61,7 +63,8 @@
  lsb-base,
  stunnel,
  vhd-tool,
- libffi6
+ libffi6,
+ busybox
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: Xen toolstack for XCP
